Bug 239926 - Unable to use any audio sink (non-Open Sound System) with Rhythmbox
Unable to use any audio sink (non-Open Sound System) with Rhythmbox
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Depends On:
  Show dependency treegraph
Reported: 2007-05-12 12:28 EDT by Ashish Shukla
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-20 07:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ashish Shukla 2007-05-12 12:28:06 EDT
Description of problem:
Rhythmbox uses OSS sink (seems hardcoded) instead of the audio sink selected in
GStreamer "Multimedia Systems Selector" dialog box whereas "Exaile" (another
GStreamer based application) works fine.

Version-Release number of selected component (if applicable):

How reproducible:
To verify this install following "PulseAudio" packages from Fedora Extras:

Steps to Reproduce:
1. Open "Multimedia Systems Selector" from System->Preferences->More Preferences.
2. Select "Pulse - PulseAudio Sound Server" as Default Output Plugin.
3. Now without starting 'pulseaudio' sound server, start "Rhythmbox" application.
4. Try playing any audio file.
Actual results:
Rhythmbox plays audio file without any errors.

Expected results:
Rhythmbox should not play audio file and probably report some kind of error to
user saying "'pulseaudio' server is not running" or something similar.

Additional info:
Comment 1 Ashish Shukla 2007-06-12 11:36:24 EDT
This bug is also present in Fedora 7. 'totem' also has this bug. Following
packages are affected by this bug:

I ran 'totem', and played the Ogg video, and on the terminal executed following

-- begin command --
[wahjava@chatteau ~]$ /usr/sbin/lsof |fgrep dsp
totem     5137       wahjava   18w      CHR               14,3              6130
-- end command --

So, it seems totem is using OSS, whereas I've selected 'PulseAudio Sound Server'
in "gstreamer-properties" dialog box.
Comment 2 Ashish Shukla 2007-07-27 13:09:21 EDT
I've found the solution of my problem in F7. I just need to select the
"PulseAudio Sound Server" in  "Music and Movies"  field in
"System->Preferences->Hardware->Sound" dialog box.
Comment 3 Bastien Nocera 2007-08-20 07:36:17 EDT
If PulseAudio is installed, you won't be able to play sounds other than through
PulseAudio... Closing, as you found the solution.

Note You need to log in before you can comment on or make changes to this bug.